Bug 499041 - The rpm package requires logrotate
The rpm package requires logrotate
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
5.5
All Linux
low Severity low
: rc
: ---
Assigned To: Panu Matilainen
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-04 18:39 EDT by Darren Patterson
Modified: 2011-03-15 10:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 05:54:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darren Patterson 2009-05-04 18:39:29 EDT
Description of problem:
The rpm package incorrectly requires the logrotate package.  All packages should (hopefully) be log rotation package agnostic. 


Version-Release number of selected component (if applicable):
RHEL5

How reproducible:
Every time.

Expected results:
The logrotate package should be uninstallable.
Comment 1 Panu Matilainen 2010-11-15 05:54:32 EST
This is fixed in RHEL 6 by splitting the cron related functionality into rpm-cron sub-package. Such rearrangement is not appropriate in RHEL 5 however.

Note You need to log in before you can comment on or make changes to this bug.